Problèmes d'installation Docker Swarm

Je ne peux pas installer docker swarm Dans mon système Ubuntu 14.04. J'ai exécuté des instructions de la page github
https://github.com/docker/swarm

$ mkdir -p $GOPATH/src/github.com/docker/
$ cd $GOPATH/src/github.com/docker/
$ git clone [url=https://github.com/docker/swarm]https://github.com/docker/swarm[/url]
$ cd swarm
$ $GOPATH/bin/godep go install .

J'ai installé golang et godep, et $ GOPATH Installé dans un répertoire local. Cependant, quand je lance l'équipe, tout sauf le dernier

$GOPATH/bin/godep go install .

ne marche pas.

Cela provoque cette erreur et complète le statut. 2


# github.com/samalba/dockerclient
Godeps/_workspace/src/github.com/samalba/dockerclient/dockerclient.go:258: syntax error: unexpected range, expecting {
Godeps/_workspace/src/github.com/samalba/dockerclient/dockerclient.go:258: missing statement after label
Godeps/_workspace/src/github.com/samalba/dockerclient/dockerclient.go:261: syntax error: unexpected case, expecting semicolon or newline or }
Godeps/_workspace/src/github.com/samalba/dockerclient/dockerclient.go:267: syntax error: argument to go/defer must be function call
Godeps/_workspace/src/github.com/samalba/dockerclient/dockerclient.go:270: syntax error: unexpected }
Godeps/_workspace/src/github.com/samalba/dockerclient/dockerclient.go:272: non-declaration statement outside function body
Godeps/_workspace/src/github.com/samalba/dockerclient/dockerclient.go:273: syntax error: unexpected }


#github.com/mesos/mesos-go/detector
Godeps/_workspace/src/github.com/mesos/mesos-go/detector/standalone.go:73: unknown http.Client field 'Timeout' in struct literal


#github.com/docker/libkv/store/etcd
Godeps/_workspace/src/github.com/docker/libkv/store/etcd/etcd.go:83: unknown net.Dialer field 'KeepAlive' in struct literal
Godeps/_workspace/src/github.com/docker/libkv/store/etcd/etcd.go:85: unknown http.Transport field 'TLSHandshakeTimeout' in struct literal
godep: go exit status 2

J'ai raté quelque chose? Pas une variable d'environnement initialisée ou un package requis?
Invité:

Agathe

Confirmation de:

Une fois qu'il pourrait également décider d'installer Docker 1.12 comme
https://docs.docker.com/engine/swarm/
Indique que docker-swarm Inclus, à partir de cette version:

Utiliser Docker Engine En mode swarm, Installer Docker Engine v1.12.0 ou plus récent du référentiel GitHub Libération Docker. Vous pouvez également définir la dernière version. Docker pour Mac ou Docker pour Windows Beta.

Docker Engine 1.12 Comprend le mode Roy pour contrôler le cluster de module Docker, qui s'appelle la chambre. Utilisation Docker CLI Pour créer un essaim, déployer des services d'application pour la recherche et la gestion du comportement humain.

Pour répondre aux questions, connectez-vous ou registre